TYPOS3.Flow - Bug # 27989

Status: Resolved Priority: Must have

Author: Karsten Dambekalns Category: Cache

Created: 2011-07-08 Assigned To: Karsten Dambekalns
Updated: 2012-06-27 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.0

Subject: Wrong check in our atomic writes code

Description

This is from Cache\Backend\FileBackend, similar stuff is patched into Doctrine's ProxyFactory:

if ($result === FALSE) throw new \TYPO3\FLOW3\Cache\Exception('The temporary cache file " .
$temporaryCacheEntryPathAndFilename . ™ could not be written.', 1204026251);
$i=0;
$cacheEntryPathAndFilename = $this->cacheDirectory . $entryldentifier . $this->cacheEntryFileExtension;
while (Irename($temporaryCacheEntryPathAndFilename, $cacheEntryPathAndFilename) && $i < 5) {
Pi++;
1
if ($result === FALSE) throw new \TYPO3\FLOW3\Cache\Exception('The cache file "' . $cacheEntryPathAndFilename . " could
not be written.', 1222361632);

The second check for $result is moot, because it's not set in the rename loop...

Related issues:

related to TYPOBS.Flow - Task # 3755: Concurrency stress testing and cache mec... New 2009-06-25
related to TYPOS3.Flow - Bug # 28733: Implement LockManager for avoiding Race ... Resolved 2011-08-04
related to TYPOS3.Flow - Bug # 32707: Bad Bad FileBackend Accepted 2011-12-19
related to TYPOS.Flow - Bug # 33621: Filebackend reports error when trying to... Resolved 2012-02-02

Associated revisions

Revision 1355fcd7 - 2012-06-27 15:34 - Karsten Dambekalns

[BUGFIX] Fix wrong check in atomic writes code

Fixes a wrong check in Cache\FileBackend and RsaWalletServicePhp
as well as a bunch of one-line if blocks.

Change-Id: Ice9f39bd2912e5af7cfe1aa73b7315c54ddaafas
Fixes: #27989

Related: #34875

Releases: 1.1, 1.2

Revision 3664972e - 2012-06-27 15:36 - Karsten Dambekalns

[BUGFIX] Fix wrong check in atomic writes code
Fixes a wrong check in Cache\FileBackend and RsaWalletServicePhp

as well as a bunch of one-line if blocks.

Change-Id: Ice9f39bd2912e5af7cfe1aa73b7315c54ddaafad
Fixes: #27989

Related: #34875

Releases: 1.1, 1.2

History

#1 - 2011-09-09 21:44 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#3 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#4 - 2012-01-31 21:53 - Karsten Dambekalns
- Target version set to 1.1
- Has patch set to No

#5 - 2012-01-31 22:14 - Karsten Dambekalns

- Target version changed from 1.1 to 1.0.3

#6 - 2012-01-31 22:14 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/8786

#7 - 2012-01-31 22:19 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8787

#8 - 2012-02-09 11:22 - Karsten Dambekalns

- Status changed from Under Review to Accepted

#9 - 2012-02-09 14:52 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8931

#10 - 2012-02-09 14:57 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/8931

#11 - 2012-02-16 09:20 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8787

#12 - 2012-02-16 14:27 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8931

#13 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#14 - 2012-04-18 22:49 - Karsten Dambekalns

- Target version changed from 1.0.4 to 1.0.5

#15 - 2012-06-05 21:20 - Karsten Dambekalns
- Target version changed from 1.0.5 to 1.1 RC1

#16 - 2012-06-19 11:20 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12187

#17 - 2012-06-27 15:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12187

#18 - 2012-06-27 15:36 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12398

#19 - 2012-06-27 15:50 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
